
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET页面中去除VIEWSTATE视图状态乱码 / iVAN</title>

    <meta name="description" content="ASP.NET页面中去除VIEWSTATE视图状态乱码 首先声明下这篇文章:本文章的发表于2014-10-11日,原作者和版权所有:KoalaAPI(还是本人啦),原链接:http://www.cnblogs.com/KoalaAPI/p/4018727.html(曾被删除!) 保存页的所有视图状态信息和控件状态信息. 作者在早期参与的项目中曾遇到这样的需求:基于SEO技术的开发,当因为时没有接触的MVC框架的 Razor 引擎,所以只能用ASP.NET引擎,如果使用ASP.NET引擎的服务器端控件,那么在ASP.NET页面中就会生成 __Views">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET页面中去除VIEWSTATE视图状态乱码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>首先声明下这篇文章：本文章的发表于2014-10-11日，原作者和版权所有：KoalaAPI（还是本人啦），原链接：http://www.cnblogs.com/KoalaAPI/p/4018727.html（曾被删除！）</p>
<p>保存页的所有视图状态信息和控件状态信息。</p>
<p>作者在早期参与的项目中曾遇到这样的需求：基于SEO技术的开发，当因为时没有接触的MVC框架的 <strong>Razor</strong> 引擎，所以只能用ASP.NET引擎，如果使用ASP.NET引擎的服务器端控件，那么在ASP.NET页面中就会生成 <strong>__Viewstate隐藏域</strong> ，__Viewstate隐藏域产生的“ <strong>乱码</strong> ”对网络爬虫是极其不友好！！</p>
<p>“ <strong>乱码</strong> ”如下：</p>
<p>&lt;div class="aspNetHidden"&gt;<br />
 &lt;input type="hidden" name="__EVENTVALIDATION" id="__EVENTVALIDATION" value="/wEdAAevVXD1oYELeveMr0vHCmYP7LzJrIcTIdqhSMKVwuzUlG+r/E5r2IBU8/usjBP6bvE2c4iS0S7hMhxw1JoNuYef5SWTLAaw1o1yUXny4tbozOKqfv7TXcRdFrrz4sk+amqJ1HXkqp47r3PB8OAXkfQkk9SVCu9vqcV7t6ajMdAYdjyd0irvSRGXq8LavSPmz9M=" /&gt;<br />
 &lt;/div&gt;</p>
<p>那么所有 <strong>问题</strong> 就来了，在 <strong>商业项目</strong> 开发中就需要我们把__Viewstate隐藏域生成的“乱码”去除掉。</p>
<p>这里我们讨论如下几个方案。</p>
<p><strong>方案一：</strong></p>
<p>去掉form的标签的 <strong>runat="server"</strong> 属性的话，就可以不生成__viewstate隐藏域，但有些情况服务器端控件就没法正常使用了，所以在需要使用服务器端控件的时候就此方并不是太完美。</p>
<p><strong>方案二：</strong></p>
<p>给服务器端正控件的EnableViewState属性设置为false，此时我们发现网页的Viewstate有明显代码减少，但还是存在视图状态。。。</p>
<p><strong>方案三：</strong></p>
<p>些方案需要了解.NET的一些基类，如 <strong>System.Web.dll</strong> 。</p>
<p>System.Web.dll封装了 <strong>LosFormatter</strong> 类。</p>
<p>在 <strong>MSDN</strong> 上对此类的描述是： 序列化 Web 窗体页的视图状态。</p>
<p>此时我们需要LosFormatter类里封装的Serialize方法，功能描述如下：将有限对象序列化 (LOS) 格式的对象转换为视图状态值并将结果放置在 System.IO.Stream 对象中。</p>
<p>去除“乱码”代码如下：</p>
<pre>
/// &lt;summary&gt;
  /// 去除VIEWSTATE乱码代码如下所示：
  /// &lt;/summary&gt;
   protected  LosFormatter losFormatter = new LosFormatter();

  /// &lt;summary&gt;
  /// 序列化所有视图状态信息和控件状态信息。
  /// &lt;/summary&gt;
  /// &lt;param name="viewState"&gt;要在其中存储视图状态信息的 Object&lt;/param&gt;
  protected override void SavePageStateToPersistenceMedium(object viewState)
  {
    string val = Request.Url + "__VIEWSTATE";
    System.IO.MemoryStream stream = new System.IO.MemoryStream();
    losFormatter.Serialize(stream, viewState);
    stream.Flush();
    Session[val] = stream;
  }</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索控件<br />
                    ，                乱码<br />
                    ，                视图<br />
                    ，                viewstate<br />
                    ，                system<br />
                    ，                状态<br />
                    ，                框架乱码playmyeclipse<br />
                    ，                .NET乱码<br />
                    ，                iOS去除网址URL<br />
                                    serialize乱码<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 15:32:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b9%b1%e7%a0%81/" title="乱码">乱码</a>, <a href="https://www.iamivan.net/tag/%e7%8a%b6%e6%80%81/" title="状态">状态</a>, <a href="https://www.iamivan.net/tag/%e8%a7%86%e5%9b%be/" title="视图">视图</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/viewstate/" title="viewstate">viewstate</a>, <a href="https://www.iamivan.net/tag/%e6%a1%86%e6%9e%b6%e4%b9%b1%e7%a0%81playmyeclipse/" title="框架乱码playmyeclipse">框架乱码playmyeclipse</a>, <a href="https://www.iamivan.net/tag/net%e4%b9%b1%e7%a0%81/" title="&period;NET乱码">&period;NET乱码</a>, <a href="https://www.iamivan.net/tag/ios%e5%8e%bb%e9%99%a4%e7%bd%91%e5%9d%80url/" title="iOS去除网址URL">iOS去除网址URL</a>, <a href="https://www.iamivan.net/tag/serialize%e4%b9%b1%e7%a0%81/" title="serialize乱码">serialize乱码</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET页面中去除VIEWSTATE视图状态乱码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKo7yp.html" rel="bookmark">在ASP&period;NET页面中动态添加控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天被问到如何在ASP.NET 页面中动态创建一批控件,并且希望在后续代码 中能访问到这些动态创建的控件.我用下面的例子来解释这个问题 页面文件: &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot; &gt; &lt;head runat=&quot;server&quot;&gt; &lt;title&gt;&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;form id=&quot;form1&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XLpd3Mj.html" rel="bookmark">固定表头-在ASP&period;NET页面中，固定DATAGRID表头出现的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在ASP.NET页面中,固定DATAGRID表头出现的问题 使用DIV标签加js纯页面固定表头,实际上就是将表头获取出来填充到一个DIV中,问题就是如何将表头和表中的内容对齐,特别是在表中数据动态改变列宽不固定的时候			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0domM.html" rel="bookmark">在ASP&period;NET页面中推荐使用覆写而不是事件处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|页面 English Version: http://dflying.dflying.net/1/archive/101_prefer_overrides_to_event_handlers_in_aspnet_page.html 这个是我们熟悉的Page_Load()方法.实际上它是一个Event Handler,当定义在System.Web.UI.Page中的Load事件触发时,它开始执行. // use event handlerprotected void Page_Lo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM177dz.html" rel="bookmark">ASP&period;NET页面中冻结DataGrid的列或头部</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|datagrid|页面 ASP.NET页面中,有时候我们需要冻结datagrid中的某一列,比如显示的数据项过多时,我们需要让第一列不动,拖动横向滚动条时其他列隐藏,这时就需要冻结列了:另外,有时候也需要让datagrid的头部不动,拖动纵向滚动条时,下面的数据项可以滚动.在实现的过程中,其实就是用了css样式来控制,一起看一下. 要冻结哪一列,就把fixCol这个CSS加到HeaderStyle-CssClass和ItemStyle-CssClass--&gt; &lt;style ty			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zevW9b.html" rel="bookmark">在ASP&period;NET页面中实现数据棒图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|数据|页面     棒图有时又称为&quot;Bar&quot;图.在我的上一篇文章&lt;在ASP.net实现数据图表&gt;中已经介绍了在浏览器看到的图表,一般都是图片文件.那么在ASP.NET中是否也可以生成这些图表?答案是肯定的,因为在ASP.NET中拥有了一个新功能--绘图功能,通过此功能就能够按照要实现的图表的模样来绘制,最后在客户端的浏览器中形成一个图片,从而显示出图表来.        本文就在上一篇文章的基础上,进一步介绍在ASP.NET页面中实现Bar图的具体方法.希望			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNNyDb.html" rel="bookmark">如何在ASP&period;net页面中请求远程Web站点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问:如何在已有ASP.net页面中,去请求远程WEB站点,并能传参,且得到请求所响应的结果.用下边的小例子讲解具体功能的实现: 首先,我们想要请求远程站点,需要用到HttpWebRequest类,该类在System.Net命名空间中,所以需要引用一下.另外,在向请求的页面写入参数时需要用到Stream流操作,所以需要引用System.IO命名空间. 以下为Get请求方式: Uri uri = new Uri(&quot;http://www.cnsaiko.com/&quot;);//创建uri对象,指定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOJ2qb.html" rel="bookmark">在ASP&period;NET页面中实现数据饼图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在&lt;在ASP.NET页面中实现数据棒图&gt;中已经介绍了ASP.NET中数据棒图的绘制方法.前文已经说过,ASP.NET之所以能够在客户端浏览器中形成各种数据图片,是因为在ASP.NET中提供了绘图功能,具体的作法是先在服务器端创建一个Bitmap实例,然后利用ASP.NET中提供的绘图功能,按照要生成的图片的模样,进行绘制,最后把绘制好的实例以数据流的方式传送到客户端的浏览器上,并形成图片显示出来.本文要介绍的在ASP.NET页面中实现数据饼图采用的基本也是这种方法.饼图有时称为&quot;Pi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7417b.html" rel="bookmark">asp&period;net页面中时间格式化的示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了asp.net页面中时间格式化的示例,需要的朋友可以参考下 asp.net页面将Eval中的时间显示为&quot;yyyy-MM-dd&quot;格式    代码如下: &lt;table&gt;   &lt;tr&gt;     &lt;td style=&quot;width:273px;color:#105db5;&quot; valign=&quot;top&quot;&gt;[**平台]  &lt;a href=&quot;javascript:void(0)&quot; s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAaPVvM.html" rel="bookmark">ASP&period;NET 页面中加添加用户控件的写法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了ASP.NET 页面中加添加用户控件的方法,需要的朋友可以参考下 一:在页面前台中添加注册控件  代码如下: &lt;%@ Register Src=&quot;~/Controls/IndexTop.ascx&quot; TagName=&quot;IndexTop&quot; TagPrefix=&quot;uc_top&quot; %&gt;    二:在页面需要添加控件的地方添加控件内容  复制代码 代码如下: &lt;uc_top:IndexTop ID=&quot;Inde			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvqBab.html" rel="bookmark" class="title">使用Ajax时常犯的十个错误</a>
					<div>
						要始终记得有这么几种访问者,他们不能用JavaScript或者用的版本比较老的浏览器或者他们对JavaScript支持不好,比如说移动设备.如果这些都不支持,你的访问者能看到什么? 1.   不要通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG0l2b.html" rel="bookmark" class="title">Windows XP 常见的进程列表</a>
					<div>
						window|进程 最基本的系统进程(也就是说,这些进程是系统运行的基本条件,有了这些进程,系统就能正常运行) smss.exe Session Manager csrss.exe 子系统服务器进程  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnDlAb.html" rel="bookmark" class="title">Photoshop实例&colon;打造非常漂亮的非常酷的水彩效果</a>
					<div>
						导言: 水彩画是那些效果可能很难复制的数字图形之一,但稍加练习你会发现它可以相当有趣.本教程将创建一个非常酷的水彩效果,使用软件为Photoshop. 素材下载: 旧纸的质地包 水彩笔刷 1.在Pho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyjL8p.html" rel="bookmark" class="title">fso实例</a>
					<div>
						fso &lt;!--#include file=&quot;config.asp&quot;--&gt; &lt;!--#include file=&quot;inc/articlechar.inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxwxOb.html" rel="bookmark" class="title">更改数据库中表所属用户的两个方法</a>
					<div>
						更改某个表 exec sp_changeobjectowner 'tablename','dbo' 存储更改全部表 CREATE PROCEDURE dbo.User_ChangeObjectOwne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PD0mM.html" rel="bookmark" class="title">ZBrush的10个快捷技巧汇总</a>
					<div>
						  作为一款独特创新的3D图形绘制软件,ZBrush对于3D新手来说确实有点&quot;吓人&quot;,光是繁杂的英文界面就足以让人望而却步,但这毕竟只是针对新用户,一旦用习惯了,就会爱不释手.小编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPQowz.html" rel="bookmark" class="title">防止网站被挂马的基本原则</a>
					<div>
						防止网站被挂马的基本原则 1. 服务器安装杀毒软件及专业木马防护软件,及时修补服务器系统漏洞. 2. 网站后台管理用户名和密码要有一定复杂性,不能过于简单,还要注意定期更换. 3. 尽量使用正规的as ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEXgWb.html" rel="bookmark" class="title">php输出全球各个时区列表的方法</a>
					<div>
						 具体实现方法如下: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2RBdM.html" rel="bookmark" class="title">如何隐藏Excel2010单元格零值？</a>
					<div>
						  1.打开需要隐藏零值的Excel表格,这个时候我们会发现表格的灵值还是有显示的. 2.点击工具栏的&quot;文件&quot;→&quot;选项&quot; 3.在Excel选项里选择&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zjjxb.html" rel="bookmark" class="title">怎样在wps工具栏上加入常用图片？</a>
					<div>
						  1.添加命令 打开WPS文字2007,右击工具栏选择&quot;自定义&quot;打开自定义窗口,在左侧&quot;命令栏&quot;列表中选择&quot;常用&quot;,单击自定义窗口右下角的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRd2Qp.html" rel="bookmark" class="title">vmware workstation 8中怎么创建虚拟机</a>
					<div>
						学习网络的朋友一定知道搭建服务器,那我们怎样在自己的电脑上搭建多台服务器呢?方法很简单,就是用vmware workstation 8 !我们还可以用来装几个XP的系统作为服务器的客户机!linux. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBVdDz.html" rel="bookmark" class="title">Photoshop详细的把白天照片调成夜景效果</a>
					<div>
						  原图: 效果图: 1.打开素材图,并复制一份 2.添加调整图层-颜色查找,选择3DLUT文件里的Moonlight.3DL,创造出夜景色调,这步如果想自己动手调的也可以用色彩平衡可选颜色曲线等,添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq6mxb.html" rel="bookmark" class="title">OceanBase如何解决支付宝数据库的高一致性</a>
					<div>
						该文章来自于阿里巴巴技术协会(ATA)精选文章. 传统数据库通过共享存储保障主备库的数据一致性,去除共享存储后,由于网络.服务器.磁盘等的不可靠,数据库的主库与备库的数据一致性成为很大的挑战(更多信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLRB5p.html" rel="bookmark" class="title">多线程 Q群 号码爬虫</a>
					<div>
						通过空间历史浏览,爬出查看你空间的人(一般限制20人,除非开通黄钻),然后在爬出这20人的浏览记录,依次向下爬,你可以控制爬行深度. 这里仅仅给出怕中代码片段,你可以进一步优化,将Q群分类存储.通过Q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKmZNb.html" rel="bookmark" class="title">Pinterest在中国是如何发展的</a>
					<div>
						Pinterest如今已成为了美国最风行的兴趣图谱社交网络之一,而它的中国仿客们多变身为图片导购网站,之所以会有如此厉害的场景,是因为美国有用户近9亿的Facebook,而在中国则有着在线商品数量超过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZvgLM.html" rel="bookmark" class="title">shell-&dollar;&lbrace;0&num;&num;&ast;&sol;&rcub;是如何做到去除目录明的？</a>
					<div>
						问题描述 ${0##*/}是如何做到去除目录明的? #/bin/ksh PROGRAMNAME=&quot;&quot;${0##*/} echo $PROGRAMNAME					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RLP7z.html" rel="bookmark" class="title">编程-怎么没看到通过qq发送的字眼？</a>
					<div>
						问题描述 怎么没看到通过qq发送的字眼? 以前我选中一个txt文件,然后右键选择通过qq发送给某好友,可是现在我右键在选择时没看到通过qq发送的字眼,不知道怎么回事,怎么把通过qq发送这个搞回来?我想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRV8wb.html" rel="bookmark" class="title">在C&num;中如何获取网页的验证码链接地址</a>
					<div>
						问题描述 在C#中如何获取网页的验证码链接地址 在C#中如何获取网页的验证码链接地址,比如我想通过在C#窗体中点击获取验证码按钮,得到网页的验证码. 解决方案 你是指验证码图片还是验证码的字符串? 如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRK1Wp.html" rel="bookmark" class="title">使用Python脚本在Linux下实现部分Bash Shell的教程&lowbar;python</a>
					<div>
						对于Linux用户来说,命令行的名声相当的高.不像其他操作系统,命令行是一个可怕的命题,但是对于Linux社区中那些经验丰富的大牛,命令行却是最值得推荐鼓励使用的.通常,命令行对比图形用户界面,更能提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKnNAp.html" rel="bookmark" class="title">iPad通过国内3C认证 即将登陆国内市场</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/10127.html&quot;&gt;苹果平板电脑进入中国市场销售的最关键手续已经通过,这意味着iPad登陆大陆市场日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm2n8p.html" rel="bookmark" class="title">纽交所CEO：年内仍有9家中国公司IPO</a>
					<div>
						⊙记者 朱周良 ○编辑 朱贤佳 纽约泛欧交易所集团首席执行官邓肯·尼德奥尔日前在北京表示,美国经济尽管在第三季度重现增长,但并没有完全走出阴影,还需较长的时间来恢复.他同时透露,在今年余下时间,仍会有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1B28b.html" rel="bookmark" class="title">深入分析Mongodb数据的导入导出&lowbar;MongoDB</a>
					<div>
						一.Mongodb导出工具mongoexport Mongodb中的mongoexport工具可以把一个collection导出成JSON格式或CSV格式的文件.可以通过参数指定导出的数据项,也可以根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7oonM.html" rel="bookmark" class="title">最近项目写了一些js，水平有待提高&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: function ResumeError() { return true; } window.onerror = ResumeError; function showdd(obj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmDAYp.html" rel="bookmark" class="title">穷人和富人的经典差异分析 督促现在的自己&lowbar;励志篇</a>
					<div>
						1.自我认知 穷人:很少想到如何去赚钱和如何才能赚到钱,认为自己一辈子就该这样,不相信会有什么改变. 富人:骨子里就深信自己生下来不是要做穷人,而是要做富人,他有强烈的赚钱意识,这已是他血液里的东西, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jKo3p.html" rel="bookmark" class="title">vs201-VS2012&comma;我刚才撤消了代码文件的更改，现在怎么恢复</a>
					<div>
						问题描述 VS2012,我刚才撤消了代码文件的更改,现在怎么恢复 我在写团队项目时,误把我的代码文件进行了撤销更改,然后里面的代码就不见了,我现在想要恢复我之前的修改的代码,怎么办? 求各位大神支招, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44xq1z.html" rel="bookmark" class="title">微信搜索与6亿微信用户无关</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 6月9日上午搜狗推出了微信搜索,用户可以登陆weixin.sogou.com去搜索微信公众号上的内容,以及进行相关的微信公众号搜索.微信公众号的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgElNAz.html" rel="bookmark" class="title">求学习方法？</a>
					<div>
						问题描述 大家学习编程的时候每天都抽出多长的时间来学习啊?还有学习方法是怎么样的?==============请注意及时结贴 解决方案 本帖最后由 caozhy 于 2012-06-04 00:37: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN82rp.html" rel="bookmark" class="title">文件流-c&num;&sol;Asp&period;net如何实现多个文件下载</a>
					<div>
						问题描述 c#/Asp.net如何实现多个文件下载 文件全部存储在服务器上,如何实现多个文件下载 现在代码如下 protected void Page_Load(object sender, Even ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBOoWb.html" rel="bookmark" class="title">VS中如何在外部调用STK</a>
					<div>
						问题描述 VS中如何在外部调用STK 想在VS中调用STK,但是网上相关信息比较少,有没有大神给一个例程学习下? 解决方案 VS资源文件和外部依赖项					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWjW8p.html" rel="bookmark" class="title">惠普IT服务分包中心签约重庆</a>
					<div>
						本报讯 昨天下午,惠普公司与重庆市人民政府签订建立&quot;惠普重庆全球IT应用服务分包管理中心&quot;的谅解备忘录,记者获悉,接下来,惠普与重庆还将有进一步重大项目合作,不过有关方面未透露具体 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
